Subject: Re: IPv6 route to gateway on fe80::1%eth0 when I have fe80::1%br0 locally

From: Hannes Frederic Sowa <[email-masked]>
Date: Tue, 23 Feb 2016 10:03:28 +0100

On 22.02.2016 20:20, Marc Haber wrote:
> On Mon, Feb 22, 2016 at 05:15:41PM +0100, Hannes Frederic Sowa wrote:
>> On 22.02.2016 16:47, Marc Haber wrote:
>>> Can you reproduce the behavior with accept_ra_from_local =0 as well?
>>> Unfortunately, the debugging VM I build works fine, it's just the
>>> physical host showing this behavior. This is really strange.
>>
>> Same here. Debugging VM didn't show this error at all and other systems
>> didn't show this symptom either (4.4.2 as well as net-next).
>>
>> With which kernel did you see this behavior for the first time and what was
>> the last working version?
>
> Thanks for motivating me to investigate this further.
>
> I have to apologize. It is not a kernel issue.
>
> It has turned out that systemd, starting with version 229, has placed
> a "Not invented here" stamp on route advertisement processing in the
> kernel and has implemented its own userspace code to handle router
> advertisements.
>
> And, of course, they did it wrong.
>
> Setting IPv6AcceptRouterAdvertisements=0 in eth0.network seems to
> disable enough code that this issue does not show any more.
>
> Sorry for the rumble, I debugged the wrong piece of software. Bugs in
> Debian are filed, #815582, #815586. I don't file bugs with systemd
> upstream any more since I got silenced on systemd-devel for losing my
> temper.

Thanks for letting me know. Hopefully this also fixes 
https://bugzilla.kernel.org/show_bug.cgi?id=110721.

Thanks,
Hannes